aistudio基础版环境用的resnet啥版本
知知知知知呀 发布于2021-07 浏览:1450 回复:2
0
收藏
最后编辑于2022-04

在aistudio基础版环境下以下语句可以正常运行:

from resnet import Resnet

但在本地却会报错如下:(本地使用python版本3.8.8,paddlepaddle-gpu版本2.1.1,keras版本2.4.3,resnet版本0.1)之前还有报错说"cannot import name "Resnet" from resnet",

想知道在aistudio基础版环境中import resnet导入的模块 和我们本地pip install resnet安装好的模块是不是同一种,如果是的话版本是多少

File "……/infer.py", line 4, in 
    from resnet import ResNet
  File "……\Anaconda3\lib\site-packages\resnet\__init__.py", line 2, in 
    from .resnet152 import ResNet152
  File "……\Anaconda3\lib\site-packages\resnet\resnet152.py", line 24, in 
    from keras.engine import Layer, InputSpec
ImportError: cannot import name 'Layer' from 'keras.engine' (……\Anaconda3\lib\site-packages\keras\engine\__init__.py)
收藏
点赞
0
个赞
共2条回复 最后由O国殇O回复于2021-07
#3O国殇O回复于2021-07

终端应该可以看

0
#2知知知知知呀回复于2021-07

已解决:这里Import的resnet是一个自定义的resnet.py文件 之前没有看到orz

0
TOP
切换版块